Bug 439152 - Review Request: perl-Catalyst-Plugin-StackTrace - Display a stack trace on the Catalyst debug screen
Review Request: perl-Catalyst-Plugin-StackTrace - Display a stack trace on th...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 07:18 EDT by Simon Wilkinson
Modified: 2008-04-12 17:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-12 17:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon Wilkinson 2008-03-27 07:18:15 EDT
Spec URL: http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-Plugin-StackTrace.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-Plugin-StackTrace-0.07-1.fc9.src.rpm
Description:
This plugin will enhance the standard Catalyst debug screen by including a
stack trace of your appliation up to the point where the error occurred.
Each stack frame is displayed along with the package name, line number,
file name, and code context surrounding the line number.
Comment 1 Simon Wilkinson 2008-03-27 07:36:20 EDT
panemade pointed out a problem with another of my packages, that's also in this one - it needs to 
BuildRequire Test::Pod and Test::Pod::Coverage. I've done a pre-review respin to address this.

SPEC URL as above, new SRPM is http://homepages.inf.ed.ac.uk/sxw/perl-Catalyst-Plugin-StackTrace-
0.07-2.fc9.src.rpm
Comment 2 Parag AN(पराग) 2008-03-27 08:12:11 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=534017
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4bd2dc12f9b6f6bb310c1fe07a8321f1  Catalyst-Plugin-StackTrace-0.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful, 3 tests skipped.
Files=9, Tests=24,  2 wallclock secs ( 1.88 cusr +  0.13 csys =  2.01 CPU)
+Package perl-Catalyst-Plugin-StackTrace-0.07-2.fc9 =>
  Provides: perl(Catalyst::Plugin::StackTrace) = 0.07
  Requires: perl >= 0:5.008001 perl(Devel::StackTrace) perl(HTML::Entities)
perl(NEXT) perl(Scalar::Util) perl(base) perl(strict) perl(warnings)

SHOULD:
  1)Try adding line to enable tests in %check
      export TEST_POD=1
MUST:
  1) Drop redundant BR
     BuildRequires:  perl >= 1:5.8.1

APPROVED.

Comment 3 Parag AN(पराग) 2008-04-04 00:01:18 EDT
ping?
Comment 4 Simon Wilkinson 2008-04-04 06:11:39 EDT
New Package CVS Request
=======================
Package Name: perl-Catalyst-Plugin-StackTrace
Short Description: Display a stack trace on the Catalyst debug screen
Owners: sxw
Branches: EL-5 F-7 F-8 
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-04-04 11:52:07 EDT
cvs done.
Comment 6 Simon Wilkinson 2008-04-12 17:11:21 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.